// Libraries
import React from 'react'

// Components
import { CartTablePaymentIcons } from '../../../src/components/cart/cart-table-payment-icons'

const paymentIcons = [
  { label: 'VISA', url: '/static/payments/visa.svg' },
  { label: 'Mastercard', url: '/static/payments/mastercard.svg' }
]

test('renders correct child elements and classnames', () => {
  const className = 'dummy-classname'

  // act
  const wrapper = mount(
    <CartTablePaymentIcons
      icons={paymentIcons}
      className={className}
    />
  )

  // assert
  expect(wrapper).toMatchSnapshot()
  expect(wrapper.find('div').first()).toHaveClassName(className)
  expect(wrapper.find('img').first()).toHaveProp('src', '/static/payments/visa.svg')
})
