// Libraries
import React from 'react'
import { Provider } from 'react-redux'
import { createMockStore } from 'redux-test-utils'
import { InstantSearch } from 'react-instantsearch-dom'

// Components
import ClearRefinements from '../../../src/components/search/clear-refinements'

test('Renders the the Clear Filters button and accept a onClick callback', () => {
  // Arrange - provide an initial state for the search
  const initialState = {
    loading: true,
    error: false,
    query: null,
    search: {}
  }

  const store = createMockStore(initialState)

  const mockCallBack = jest.fn()

  // Act
  const wrapper = mount(
    <Provider store={store} >
      <InstantSearch
        appId='test'
        apiKey='test'
        indexName='test'>
        <ClearRefinements
          onClick={mockCallBack}
        />
      </InstantSearch>
    </Provider>
  )

  wrapper.find('button').simulate('click')

  // Assert
  expect(wrapper.find('button')).toIncludeText('Clear Filters')
  expect(mockCallBack).toHaveBeenCalled()
})
