// Libraries
import React from 'react'
import classNames from 'classnames'

// Lib
import { Image } from '../../objects/image'
/**
 * Renders the payment icons
 * @param  {Object} props
 * @return {string} - HTML markup for the component
 */
export const CartTablePaymentIcons = (props) => {
  if (props.icons) {
    return (
      <div className={classNames(props.className, 'c-cart-table__icons')}>
        <div className={classNames(props.className, 'c-payment-icons')}>
          <p>We Accept</p>
          <div className='c-payment-icons__images'>
            { props.icons.map((icon) => (
              <Image
                key={icon.label}
                className='c-payment-icons__image'
                src={icon.url}
                aria-label={icon.label}
              />
            ))}
          </div>
        </div>
      </div>
    )
  } else { return null }
}
