// Libraries
import React from 'react'
import { connectCurrentRefinements } from 'react-instantsearch-dom'

// Components
import { Button } from '../../objects/button'

const ClearRefinements = ({ items, refine, onClick }) => {
  const handleClick = () => {
    // Clear the current filters
    refine(items)

    // If an onClick prop is passed, fire that
    if (onClick) {
      onClick()
    }
  }

  return (
    <Button
      label='Clear Filters'
      onClick={handleClick}
      status='secondary'
    />
  )
}

export default connectCurrentRefinements(ClearRefinements)
