import React, { Component } from 'react'
import SearchFilters from './search-filters'

export class GlobalSearchFilters extends Component {
  getFacets () {
    return [
      {
        label: 'Gender',
        aggregation_type: 'list',
        searchable: false,
        source: 'product_meta_data.gender'
      },
      {
        label: 'Type',
        aggregation_type: 'list',
        searchable: false,
        source: 'product_meta_data.type'
      },
      {
        label: 'Category',
        aggregation_type: 'list',
        searchable: false,
        source: 'category_id'
      },
      {
        label: 'Price Range',
        aggregation_type: 'range',
        searchable: false,
        source: 'current_price'
      },
      {
        label: 'Brand',
        aggregation_type: 'list',
        searchable: false,
        source: 'product_meta_data.brand_name'
      }
    ]
  }

  render () {
    const facets = this.getFacets()
    return (
      <SearchFilters facets={facets}/>
    )
  }
}

export default GlobalSearchFilters
