// Libraries
import React, { Component } from 'react'
import InputRange from 'react-input-range'
import { connectRange } from 'react-instantsearch-dom'

class SearchSlider extends Component {
  render () {
    const { formatLabel, min, max } = this.props

    return min !== max ? (
      <>
        <div className='c-range-slider'>
          <p>
            Enter a minimum and maximum price range or drag the price selector below
          </p>
          <div className='c-range-slider__input-wrapper'>
            <div className='c-range-slider__inputs'>
              <label htmlFor='min-input' className='c-range-slider__input-label'>min price</label>
              <input id='min-input' type='number' className='c-range-slider__input' min={min} max={max} placeholder='(£) No min' value={(this.props.currentRefinement.min !== min) ? this.props.currentRefinement.min : ''} onChange={event => this.props.refine({...this.props.currentRefinement, min: event.currentTarget.value})} />
            </div>
            <div className='c-range-slider__inputs'>
              <label htmlFor='max-input' className='c-range-slider__input-label'>max price</label>
              <input id='max-input' type='number' className='c-range-slider__input' min={min} max={max} placeholder='(£) No max' value={(this.props.currentRefinement.max !== max) ? this.props.currentRefinement.max : ''} onChange={event => this.props.refine({...this.props.currentRefinement, max: event.currentTarget.value})} />
            </div>
          </div>
        </div>
        <div className='ais-RangeSlider'>
          <InputRange
            minValue={min}
            maxValue={max}
            value={{ min: this.props.currentRefinement.min, max: this.props.currentRefinement.max }}
            formatLabel={formatLabel}
            onChange={(sliderState) => { this.props.refine({ min: sliderState.min, max: sliderState.max }) }}
            onChangeComplete={this.refineSelection}
          />
        </div>
      </>
    ) : null
  }
}

export default connectRange(SearchSlider)
